Package Details: cpyrit-cuda 0.5.0-3

Git Clone URL: https://aur.archlinux.org/cpyrit-cuda.git (read-only, click to copy)
Package Base: cpyrit-cuda
Description: The famous WPA precomputed cracker for NVIDIA-CUDA.
Upstream URL: https://github.com/JPaulMora/Pyrit
Keywords: io mrbit sono
Licenses: GPL3
Submitter: None
Maintainer: TheGoliath
Last Packager: TheGoliath
Votes: 25
Popularity: 0.000019
First Submitted: 2009-08-05 21:33
Last Updated: 2020-06-01 12:12

Pinned Comments

TheGoliath commented on 2020-06-01 12:13

Remember to set use_CUDA = true in your ~/.pyrit/config

Latest Comments

1 2 3 Next › Last »

TheGoliath commented on 2020-06-01 12:13

Remember to set use_CUDA = true in your ~/.pyrit/config

TheGoliath commented on 2020-06-01 12:12

Updated the PKGBUILD :)

pino commented on 2020-05-31 20:38

Ok, I got it to compile without the clang38 dependency and I had to deal with some code modifications at cpyrit.py file

PKGBUILD https://pastebin.com/raw/EYS1N5j0

Fix-broken-join.patch https://pastebin.com/raw/0Fevm4L6

Remember to set 'use_CUDA = true' at ~/.pyrit/config

[pino@zen cpyrit-cuda]$ pyrit list_cores

Pyrit 0.5.0 (C) 2008-2011 Lukas Lueg - 2015 John Mora

https://github.com/JPaulMora/Pyrit

This code is distributed under the GNU General Public License v3+

The following cores seem available...

1: 'CPU-Core (SSE2)'

The following CUDA GPUs seem aviable...

1: 'CUDA-Device #1 'GeForce GTX 460''

[pino@zen cpyrit-cuda]$

TheGoliath commented on 2020-05-31 15:33

Thanks :) gonna implement you changes this night :)

pino commented on 2020-05-31 13:33

I modified your PKGBUILD with a few corrections: https://pastebin.com/raw/AGHNrrrG

Added pacth for the join issue reported by @n8henrie: Fix-broken-join.patch https://pastebin.com/raw/0Fevm4L6

Added a new dependency clang38 that fails to compile, already reported here: https://aur.archlinux.org/packages/clang38/

n8henrie commented on 2020-05-22 18:02

Thanks for the update.

The new version fails to install -- file not found with the step where sed removes --host-compilation from setup.py.

But it looks like this step is unnecessary anyway and can probably be removed from the PKGBUILD; that string was removed from the source in this commit: https://github.com/JPaulMora/Pyrit/commit/34550d8cc792d9448250f5b9826bef7b9a89732e

There are other issues -- the SQLALchemy tests are failing.

EDIT: It looks like this patch may fix the join bug: https://salsa.debian.org/pkg-security-team/pyrit/commit/be704dc56b9e2736d967cc402ce0257664de0e37

semeion commented on 2018-12-11 19:44

update please

Anonymous comment on 2018-01-18 20:23

@mrbit any chance you could update this package please

darthnet commented on 2017-05-31 15:49

any help on these matter would be helpfull new in linux cant see to get it working i have succesfully in debian but not in arch i get the following error


--------------------------------------------------------------------------------

-> Downloading cpyrit-cuda-0.4.0.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 22050 100 22050 0 0 110k 0 --:--:-- --:--:-- --:--:-- 110k
==> Validating source files with md5sums...
cpyrit-cuda-0.4.0.tar.gz ... Passed
==> Extracting sources...
-> Extracting cpyrit-cuda-0.4.0.tar.gz with bsdtar
==> Entering fakeroot environment...
==> Starting package()...
ln -s /opt/cuda-toolkit /opt/cuda
svn: E155007: '/tmp/yaourt-tmp-vader/aur-cpyrit-cuda/src/cpyrit-cuda-0.4.0' is not a working copy
running build
running build_ext
Compiling CUDA module using nvcc 8.0, V8.0.61...
Executing '/opt/cuda/bin/nvcc -m64 --host-compilation C -Xcompiler "-fPIC" --ptx ./_cpyrit_cudakernel.cu'
nvcc fatal : Unknown option '-host-compilation'
Traceback (most recent call last):
File "setup.py", line 175, in <module>
setup(**setup_args)
File "/usr/lib/python2.7/distutils/core.py", line 151, in setup
dist.run_commands()
File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
self.run_command(cmd)
File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
cmd_obj.run()
File "/usr/lib/python2.7/distutils/command/build.py", line 127, in run
self.run_command(cmd_name)
File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
self.distribution.run_command(command)
File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
cmd_obj.run()
File "setup.py", line 100, in run
subprocess.check_call(nvcc_cmd, shell=True)
File "/usr/lib/python2.7/subprocess.py", line 186, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '/opt/cuda/bin/nvcc -m64 --host-compilation C -Xcompiler "-fPIC" --ptx ./_cpyrit_cudakernel.cu' returned non-zero exit status 1

Anonymous comment on 2016-11-05 09:25

Download the snapshot and Change the line in the PKGBUILD file

#sed -e "s|'/opt/cuda'|'/opt/cuda-toolkit'|" -e "s|' --host-compilation C'||" -i setup.py
---------------- to This -----------------
sed -e "s|' --host-compilation C'||" -i ${srcdir}/cpyrit-cuda-0.4.0/setup.py

you also need to do the following

sudo pacaur -Syu downgrade
sudo downgrade scapy
# downgrade CURRENT SCAPY 2.3.3 to 2.3.2 version theres a problem with scapy and pyrit

sudo pyrit -r capture-01.cap analyze

ERROR BitEnumField' object has no attribute 'names'